# <iniwrite>

Sets String values in INI files.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
filename | string | INI File to Write To. | True
key | string | Key to set the value for. | True
section | string | Section in the INI file. | True
value | string | value to set. | True
failonerror | bool | Determines if task failure stops the build, or is just reported. The default is true. | False
if | bool | If true then the task will be executed; otherwise, skipped. The default is true. | False
unless | bool | Opposite of `if`. If false then the task will be executed; otherwise, skipped. The default is false. | False
verbose | bool | Determines whether the task should report detailed build log messages. The default is false. | False

### Examples

- Set the value for `Executable` in the `VendorMISMO2.ini` ini file

      <iniwrite filename="VendorMISMO2.ini" section="MS Transaction Server" key="Executable" value="VendorMISMO2.dll"/>

  The file contents look like this:

      [MS Transaction Server]
      Executable="VendorMISMO2.dll"
      AutoRefresh=1

### Requirements

Assembly: NAnt.Contrib.Tasks (0.85.2479.0)